Introduction

Vembu ImageBackup User Guide

Introduction

Vembu ImageBackup (Part of Vembu BDR Suite) is a comprehensive data protection and disaster recovery solution designed to meet the needs of physical data centers and workstations for SMBs and Enterprises. Users can now provide their data centers and Workstations(desktops and laptops) the utmost protection they deserve with Vembu ImageBackup. Optional Cloud Disaster Recovery provides the ability to have data redundancy and disaster recovery in the event of data center downtime.


Architecture

Disk Image Backup

  • Disk Image Backup
  • Changed Block Tracking
  • Application Aware Process


Disk Image Backup

Architecture ››

Disk Image Backup

  • Vembu ImageBackup agent needs to be installed on each physical servers and desktops which needs to be backed up.
  • ImageBackup creates the snapshot of the selected disks by using Microsoft VSS.
  • The snapshot of the full disk will be then compressed and encrypted before it leaves the source server or desktop.
  • The backup data will be further de-duped before storing it in the storage repositories.
  • ImageBackup agent installs a driver to track the changes after full backup and as per the incremental scheduling frequency, the modifications will be transferred to the storage repositories.

Back to Architecture


Changed Block Tracking

Architecture ››

Changed Block Tracking

  • During incremental backup, Vembu’s proprietary driver tracks the selected disks and backs up only the blocks that have changed, rather than backing up every block.
  • This helps to improve performance of incrementals by reducing the size of the increment data to be sent.

Back to Architecture


Application Aware Process

Architecture ››

Application Aware Process

  • Application-aware process is to create consistent database snapshots by quiescing the applications using Microsoft VSS.
  • This option allows you to stop the backup if any one of application writers (Eg: MS Exchange Writer) were in an unstable state or if VSS writers were not processed successfully after the snapshot.
  • Along with application consistency, it will truncate the logs based on the configuration.

Back to Architecture


Backup Components

Backup Components

  • BDR Backup server
  • Storage Repository
  • Backup Proxy
  • OffsiteDR server
  • CloudDR
  • Vembu Universal Explorer


BDR Backup Server

Backup Components ››

BDR Backup Server

Vembu BDR backup server is a Windows/Linux based server machine that can be installed as a service and works flawlessly on both (physical and virtual) environments. It serves the major contribution to users with handful of features such as:

  • Instant VM recovery
  • Restore processes
  • VembuHIVE File System
  • Backup storage management, compression/encryption and 4-tier verification
  • Every backup related information is stored and formatted using MySQL and MongoDB

Back to BDR Components List


Storage Repository

Backup Components ››

Storage Repository

Vembu BDR repository management has a hybrid volume manager that supports scalable and extendable backup storage of different storage media such as Local drives, NAS(NFS and CiFS) and SAN(iSCSI and FC).

VembuHIVE™

Vembu’s patented document-oriented backup data repository. Having replaced all structural file system metadata with content metadata and intelligently indexed each document, Vembu is able to virtualize VembuHIVE™ as a file system, with respect to backup documents.

Data Deduplication

If the customer wants global deduplication we recommend using a dedup supported storage appliance. Software based deduplication is very resource intensive and it is not efficient and hence not practicable because of very poor performance. Also, software based global deduplication just gives 5% to 10% additional storage savings on top of simple compression techniques. And hence it is not worth the hardware resources required to successfully perform software based global deduplication.

Customers also prefer hardware based deduplication because of performance and cost reasons. Vembu recommends and has recommended that customers disable the compression and encryption options in VembuHive file system in order to get the full power of dedup supported storage appliance.

Back to BDR Components List


Backup Proxy

Backup Components ››

Backup Proxy

Vembu ImageBackup client/proxy is installed on the source system to process backup data. A Vembu proxy retrieves system files, user files, and granular application data. For end-to-end data security, military-grade encryption is applied on the fly as a Vembu proxy transfers data to a Vembu Backup server.

Back to BDR Components List


OffsiteDR Server

Backup Components ››

OffsiteDR Server

Vembu OffsiteDR server is a Windows/Linux based server that maintains an offsite copy of server data which can be installed either as a service or as a application based on user requirement and works flawlessly on both (physical and virtual) environments. It also serves users with features that are available in backup server:

  • Instant VM recovery
  • Restore processes
  • VembuHIVE File System
  • Backup storage management, compression/encryption and 4-tier verification
  • Every backup related information is stored and formatted using MySQL and MongoDB

Back to BDR Components List


CloudDR

Backup Components ››

CloudDR

Vembu CloudDR is a cloud based disaster recovery server that maintains an offsite copy of backup server data. Users are recommended to opt for Vembu CloudDR for two major reasons:

  • Vembu Cloud offers a download- Anytime, anywhere option which is more helpful for disaster recovery and downloading backup data have no speed limit as well.
  • Archiving older data in Vembu Cloud is comparatively low cost.

Back to BDR Components List


Vembu Universal Explorer

Backup Components ››

Vembu Universal Explorer

Vembu universal explorer is a single recovery tool that lets a user to granularly recover data from the various Microsoft application backups such as: Exchange, SQL, SharePoint and Active directory.

    • User can perform granular restore of emails/mailboxes/exchange stores from Microsoft Exchange
    • User can perform granular restore of Microsoft SQL databases and tables
    • Supports document level restore for Microsoft SharePoint
    • Supports granular recovery for Microsoft Active Directory

Back to BDR Components List


System Requirements

System Requirements

  • BDR Backup Server
  • OffsiteDR Server
  • Backup Proxy
  • Port Configuration
  • Naming Conventions


BDR Backup Server

System Requirements ››

Minimum Configuration

BDR Backup Server

OS
  • Microsoft Windows Server 2012 R2
  • Microsoft Windows Server 2008 R2
  • Microsoft Windows Server 2012
  • Microsoft Windows Server 2016
  • Linux Ubuntu LTS 12.04
  • Linux Ubuntu LTS 14.04
  • Linux Ubuntu LTS 16.04

Instant Boot Infrastructure
  • VMware vSphere
  • Microsoft Hyper-V
  • KVM Hypervisor

Memory

8 GB

CPU

Quad Core Xenon Processor

Meta Data Storage

10% of the planned total backup data size

Network Card

1 Gbps & above

Browser
  • IE v11
  • Firefox v28 & above
  • Chrome v34 & above

Recommended Configuration

BDR Backup Server

OS
  • Microsoft Windows Server 2012 R2
  • Microsoft Windows Server 2008 R2
  • Microsoft Windows Server 2012
  • Microsoft Windows Server 2016
  • Linux Ubuntu LTS 12.04
  • Linux Ubuntu LTS 14.04

Instant Boot Infrastructure
  • VMware vSphere
  • Microsoft Hyper-V
  • KVM Hypervisor

Memory

16 GB

CPU

Octa Core Dual Processor

Meta Data Storage

10% of the planned total backup data size

Network Card

1 Gbps & above

Browser
  • IE v11
  • Firefox v28 & above
  • Chrome v34 & above

Back to System Requirements


OffsiteDR Server

System Requirements ››

Minimum Configuration

OffsiteDR Server

OS
  • Microsoft Windows Server 2012 R2
  • Microsoft Windows Server 2008 R2
  • Microsoft Windows Server 2012
  • Microsoft Windows Server 2016
  • Linux Ubuntu LTS 12.04
  • Linux Ubuntu LTS 14.04
  • Linux Ubuntu LTS 16.04

Instant Boot Infrastructure
  • VMware vSphere
  • Microsoft Hyper-V
  • KVM Hypervisor

Memory

8 GB

CPU

Quad Core Xenon Processor

Meta Data Storage

10% of the planned total backup data size

Network Card

1 Gbps & above

Browser
  • IE v11
  • Firefox v28 & above
  • Chrome v34 & above

Recommended Configuration

OffsiteDR Server

OS
  • Microsoft Windows Server 2012 R2
  • Microsoft Windows Server 2008 R2
  • Microsoft Windows Server 2012
  • Microsoft Windows Server 2016
  • Linux Ubuntu LTS 12.04
  • Linux Ubuntu LTS 14.04

Instant Boot Infrastructure
  • VMware vSphere
  • Microsoft Hyper-V
  • KVM Hypervisor

Memory

16 GB

CPU

Octa Core Dual Processor

Meta Data Storage

10% of the planned total backup data size

Network Card

1 Gbps & above

Browser
  • IE v11
  • Firefox v28 & above
  • Chrome v34 & above

Back to System Requirements


Backup Proxy

System Requirements ››

Minimum Configuration

ImageBackup Client

OS
  • Windows XP SP2 & above 64 bit
  • Windows Server 2003 SP2 & above
  • Windows 7 & Vista
  • Windows 8, 8.1 & 10
  • Windows Server 2008 SP2 & above
  • Windows Server 2008 R2
  • Windows Server 2012 & 2012 R2
  • Windows Server 2016
  • SBS 2003, 2008 & 2011

Instant Boot Infrastructure

N/A

Memory

2 GB

CPU

Dual Core Processor

Meta Data Storage

N/A

Network Card

N/A

Browser
  • IE v11
  • Firefox v28 & above
  • Chrome v34 & above

Recommended Configuration

ImageBackup Client

OS
  • Windows XP SP2 & above 64 bit
  • Windows Server 2003 SP2 & above
  • Windows 7 & Vista
  • Windows Server 2008 SP2 & above
  • Windows Server 2008 R2
  • Windows Server 2012 & 2012 R2
  • SBS 2003, 2008 & 2011

Instant Boot Infrastructure

N/A

Memory

4 GB

CPU

Dual Core Processor

Meta Data Storage

N/A

Network Card

N/A

Browser
  • IE v11
  • Firefox v28 & above
  • Chrome v34 & above

Back to System Requirements


Port Configuration

System Requirements ››

Port Configuration

Port | Use
TCP Port 32004 | For processing Backup/Restore/Delete/Replication requests
HTTP Port 6060, 6061, 4545 | For processing WebService requests
TCP Port 34005 | For UI Communication

Back to System Requirements


Naming Conventions

System Requirements ››

Naming Conventions

Any backup and replication job created in Vembu BDR should be named with below mentioned rule:

  • Only [a-z][A-Z][0-9][ - _ ] characters are allowed in Backup/Replication Name.

Also do not use the following reserved names for naming any backup/replication job:

CON, PRN, AUX, NUL, COM1, COM2, COM3, COM4, COM5, COM6, COM7, COM8, COM9, LPT1, LPT2, LPT3, LPT4, LPT5, LPT6, LPT7, LPT8, and LPT9.

To learn more about file/folder naming restrictions in Microsoft Windows, do read the naming conventions column from below link:

Naming Conventions - Microsoft

Back to System Requirements


Deployment Scenarios

Deployment Scenrios

There are two types of deployment scenarios recommended for Vembu BDR suite for VMware setup:

  • On-Premise Deployment
  • Hybrid Deployment
    • Vembu OffsiteDR
    • Vembu CloudDR


On-premise Deployment

Deployment Scenarios ››

On-Premise Deployment

In this deployment setup, businesses can have their DR site setup in local environment; With Vembu ImageBackup installed on client machines, backups of physical machines and application servers can be carried out via LAN connections and stored in local storage repositories of Vembu BDR server.

And if required, a copy of backup data can be stored in Vembu Cloud via WAN connection. Users can get access to Vembu cloud by signing up to Vembu CloudDR service.

Back to Deployment Scenarios


Hybrid Deployment - Vembu OffsiteDR

Deployment Scenarios ››

Hybrid Deployment - Vembu OffsiteDR

This deployment model is a hybridized version of on-premise model where businesses will have their DR site setup in local environment and manage backup transactions over LAN from backup proxy installed machines (VMBackup installed on each machine). In addition, businesses having their own offline data center can make a backup copy with OffsiteDR server via LAN/WAN based on OffsiteDR location.

This model not only ensures instant access to data whenever required but also with DR requirements, backup data will be made instantly available. Also, businesses can sign up for Vembu cloudDR service and have OffsiteDR configured to make a cloud copy of its data.

Back to Deployment Scenarios


Hybrid Deployment - Vembu CloudDR

Deployment Scenarios ››

Hybrid Deployment - Vembu CloudDR

This deployment model is a hybridized version of on-premise model where businesses will have their DR site setup in local environment and manage backup transactions over LAN from backup proxy machines (VMBackup client will be installed on each machine). In addition, a copy of backup data can be stored in Vembu cloud via WAN connection. Users can access Vembu cloud by signing up for Vembu CloudDR service.

This hybrid deployment model will let businesses have instant access to backup data whenever required while the cloud copy will come in handy in case of a emergency DR requirement.

Back to Deployment Scenarios


Installation

Installation

  • Vembu BDR Backup server
  • Vembu OffsiteDR server
  • Backup Proxy
  • Vembu Universal Explorer
  • Uninstallation Guide for Vembu BDR/Vembu OffsiteDR


BDR Backup Server

Installation ››

BDR Backup Server

  • Windows
  • Ubuntu
  • VMware Virtual Appliance
  • Hyper-V Virtual Appliance


Windows

Installation ›› BDR Backup Server ››

BDR Backup server - Windows

Vembu BDR Server is currently supported for below versions of windows machines (Please make sure that you are using any one of the below versions).

  • Windows Server 2012 R2 (64 Bit)
  • Windows Server 2008 R2 (64 Bit)
  • Windows Server 2012
  • Microsoft Windows Server 2016

Download build

  • Download the Windows Installer for Vembu BDR server.

Steps to Installation:

  • Run the downloaded installer with administrator privilege and installation process begins with the below wizard. Click Next to proceed with installing the setup.

  • 'Vembu BDR License agreement' is the next step in setup installation, read the agreement carefully and choose 'I accept the agreement' option.

Note: Opting to 'I do not accept the agreement' will block you from proceeding with setup installation.

  • Click Next

  • Next step in wizard will have default settings chosen, you can either:

    • Click Install to proceed installation with default chosen settings.

    • Or can check 'Let me customize the configurations' option and opt to Customize settings.

  • Choosing Customize option will let you customize PostGreSQL Server Configurations in next step: 'Installation location' and 'Database Storage Location'.
  • Once done choosing location, click Next.

  • Next step in wizard will allow you to customize installation location of Vembu BDR.
  • Once done choosing location, click Next.

  • Next step in wizard is 'Storage Repository Configuration', you can either choose:

    • A local drive as your storage repository

    • Or choose a network drive as your storage repository
    • Once done with Vembu BDR server installation, you can add shared folders as network drives by configuring them via Vembu BDR server web console.

  • Click Next.

  • Next step in wizard will allow you to configure:
    • User credentials for WebConsole (Default user name: admin and password: admin)
    • WebServer port (Default port chosen will be 6060 and it is recommended not to change it unless you are advanced user)
  • Once done, Click Next.

  • Next step of Wizard will allow you to review the chosen configuration, review the settings and proceed to click Install.

  • Final step of wizard after installation will ask you whether to:
    • Start Vembu BDR server and
    • Open Vembu BDR Web Console.
  • You can either leave the options selected and click Finish. Or chose to UnCheck them and start later.

Note: VembuBDR is installed as a service and can be found on Services.msc, if user chose to start later.


Ubuntu

Installation ›› BDR Backup Server ››

BDR Backup server - Linux

Vembu BDR server is currently supported for below versions of Linux machines(Please make sure that you are using any one of the below version).

  • Ubuntu 16.04 LTS (64 Bit)
  • Ubuntu 14.04 LTS (64 Bit)
  • Ubuntu 12.04 LTS (64 Bit)

To install Vembu BDR Backup Server on Linux machines follow the steps given below:

Copy the download link from the following link: Click here and download the installer file using wget command and make sure you are a root user (use “sudo su” command to be as an root user). Or you can download the installer to any Windows machine and move the installer to Linux machine by using FTP/WinSCP.

  • Once you execute wget command you will have “VembuBDRSetup.sh” in the download location.

  • Run installer by using “sh” command. For ex: #sh VembuBDRSetup.sh

  • After initiating the installer, it will check for dependent packages and request for a confirmation from your side. You can enter “y” to proceed further.

Please find the packages to be downloaded by Vembu BDR application here:

    • PostGreSQL RDMS (9.6)
    • PostGreSQL Connector (9.5.02)
    • ODBC Driver (2.3.4)
    • Vembu BDR Server (3.x.x)

  • Here you need to specify the location where you want to store PostGreSQL files. Vembu BDR will basically require 10% of the backup data storage for the internal meta data store. Hence please assess and configure a storage medium appropriate to the storage requirements. Besides please ensure your drives have higher I/O performance. Kindly specify the path and click Enter. We recommend you to use dedicated drive for this location instead of root volume. (Important STEP)l2

  • Then installer will proceed to install Unix ODBC and PostGreSQL driver.
  • Click "yes" to proceed installing dependecy packages of PostGreSQL.

  • Once done installing PostGreSQL, databases will be created and PostGreSQL will be restarted automatically.

  • In the Next step installer will install PostGreSql connector ODBC and will be successfully connected to PostGreSQL server.

  • User will then be asked to proceed with Vembu BDR backup server installation, Enter “y”.

  • Enter “yes” to start downloading Vembu BDR backup server application.

  • Once download is completed. The Vembu BDR Backup server build installation starts automatically and asks to choose type of installation. “Option 1” is to Install Vembu BDR by creating a new Vembu BDR user account with root privileges or “Option 2” to install Vembu BDR in the current user and proceed with the installation. By default we recommend to choose Option1.

  • If you have selected “Option 1” installer will create new Vembu BDR user. Enter Password so that Vembu BDR user will be created as shown below.

  • Once user is created, the installer shows the License, kindly go through the License Terms carefully. If you agree enter “y” to proceed. Then it will ask to create directory for the installation path. Enter “y” to proceed.

  • Installer asks your permission to create repository. Enter “y” to create repository now or Enter “n” to create it later, after installing the backup server. If you want to create now press “y” and click Enter.

  • Once you press enter, installer will show the list of volumes present in your machine. Kindly choose one volume by entering corresponding number. Click number and press Enter to continue (Example : Enter 1)

  • Once you click Enter, the repository created successfully and the installer asks for Vembu BDR Web Console Authentication as shown below. Kindly give username and password through which you can access your Server Web Console. By default we recommend username and password as “admin”. Now press Enter to continue. Once you click Enter, Vembu BDR Web console user will be created successfully.

  • Now installer asks you to change ports from default value. If you want to change click “y” else “n”. By default we recommend to click “n” and continue. Kindly go through the usage of individual ports mentioned below.
    • Backup Server Port is the port through which the installed Vembu VMBackup client will backup the data to the backup server. The default value is 32004.
    • UI Communication Port is the port through which Vembu BDR Apache/PHP modules communicate with Vembu BDR to serve UI requests from the Vembu BDR Web Console. The default value is 32005.
    • HTTPS Port is the port used to access the Vembu BDR Web console in a secured manner through HTTPS protocol. Default value is 6061.
    • Enable HTTPS: HTTPS Port is the secure web console port through which you can access the Vembu BDR web console in secure manner. You should enable “Enable HTTPS” option to edit this value. If you have enabled HTTPS option, then you can access the Vembu BDR web console through https://localhost:6061

  • Once the installation is complete you will be asked to start the Vembu server as Daemon process. If you have not started Vembu BDR as daemon process you can start Vembu BDR using “sh startVembuBDR.sh” command and “sh stopVembuBDR” to stop Vembu BDR from the Vembu BDR installation location. Or else if you want to start the Vembu BDR immediately, enter “y” to proceed as shown below.


VMware Virtual Appliance

Installation ›› BDR Backup Server ››

VMware Virtual Appliance

A VMware virtual appliance is a template that creates virtual machines instantly on VMware virtual environment without manual VM creation or separate installation of operating system or Vembu BDR server.

Download VMware virtual appliance from following link: Click here to Download VMware virtual appliance .

The downloaded file will be in zip format. Unzipping the file will have following:

  • Vembu VMBackup Client build
  • Virtual appliance template file (OVF)
  • User Guide on How to deploy VMware Virtual Appliance
  • Read Me file

Supported Versions: VMware VSphere 5.1, 5.5 and 6.0

Steps to Deploy Virtual appliance on VMware ESXi server:

  • Logon to an ESXi Server through VMware vSphere client.

  • Navigate to File → Deploy OVF Template.

  • Browse and choose the .ovf file from the unzipped location.

  • The ovf configuration details can be viewed in next page like below.

  • Name the Deploying Virtual Machine.

  • Configure storage location for the deploying machine.

  • Select the network for the virtual machine and click on next.

  • Verify all the configuration chosen for Virtual Appliance and click on finish.

  • Once virtual appliance is deployed, you will be notified with a success message.

  • By default, once machine is booted it logs in automatically. If locked use below credentials:

Default User details:

Username:​ vembu

Password:​ password

Root password:​ password (sudo -s)

  • Open terminal and verify whether the MySQL, Mongo and Vembu BDR services are started.

  • Then open any web browser (FireFox or Chrome) and enter https://localhost:6061 to open Vembu BDR web console and login with username password as admin / admin.

  • Select your required time zone setting for the machine and click yes to proceed.

  • Give an unique Vembu BDR ID, by default it takes the hostname and machine name as ID.

Note: The following characters are permitted as part of the Vembu BDR Server ID:

[ A-Z][a-z][0-9][ - _ .] Your ID must not start or end with special characters and it must be between 1-50 characters in length.

  • Once Vembu BDR server ID configuration is updated successfully, you will be prompted to configure the repository details to store the backup data, Choose the volume and Click Update. Deployment of Vembu BDR server on your VMware ESXi server is now successfully completed.


Hyper-V Virtual Appliance

Installation ›› BDR Backup Server ››

Hyper-V Virtual Appliance

A Hyper-V virtual appliance is a template that creates virtual machines instantly on Hyper-V virtual environment without manual VM creation or separate installation of operating system or Vembu BDR server.

Download Hyper-V virtual appliance from following link: Click here to Download Hyper-V virtual appliance .

The downloaded file will be in zip format. Unzipping the file will have following:

  • Vembu VMBackup Client build
  • Virtual appliance template file (VHD)
  • User Guide on How to deploy Hyper-V Virtual Appliance
  • ReadMe file

Steps to Deploy Virtual appliance on Hypervisor:

  • Open the Hyper-V Manager console.

  • Right click on the corresponding server under Hyper-V Manager.

  • Check whether VirtualApplianceBDR folder contains the 3 folders shown in the screen shot below.

  • Right click over Hyper-V host → select Import Virtual machine.
  • Select the folder containing VHD and XML files.

  • Select the VM ‘VirtualApplianceBDR’ to import and click next.

  • Choose import type as appropriate.

  • Select location of configuration files for the VM and proceed with Next.

  • Select storage location of the VHD files and click Next.

  • Verify the configurations provided via summary and click finish to create VM.

  • Once deployment is completed successfully, start the created virtual machine.

  • By default, once machine is booted it logs in automatically. If locked use below credentials:

Default User details:

Username:​ vembu

Password:​ password

Root password:​ password (sudo -s)

  • Open terminal and verify whether the MySQL, Mongo and Vembu BDR services are started.

  • Then open any web browser(FireFox or Chrome) and enter https://localhost:6061 to open Vembu BDR web console and login with username password as admin / admin.

  • Select your required time zone setting for the machine and click yes to proceed.

  • Give an unique Vembu BDR ID, by default it takes the hostname and machine name as ID.

Note: The following characters are permitted as part of the Vembu BDR Server ID:

[ A-Z][a-z][0-9][ - _ .] Your ID must not start or end with special characters and it must be between 1-50 characters in length.

  • Once Vembu BDR server ID configuration is updated successfully, you will be prompted to configure the repository details to store the backup data, Choose the volume and Click Update. Deployment of Vembu BDR server on your Hyper-V server is now successfully completed.

Limitations:

  • KVM installation has some permission issues.
  • Instant Boot is not supported.
  • Virtual Appliance does not have network adapter in default, user needs to manually attach the network adapter/switch.


OffsiteDR Server

Installation ››

OffsiteDR Server

  • Windows
  • Ubuntu
  • VMware Virtual Appliance
  • Hyper-V Virtual Appliance


Windows

Installation ›› OffsiteDR Server ››

OffsiteDR Server - Windows

Vembu OffsiteDR Server is currently supported for below versions of windows machines (Please make sure that you are using any one of the below versions).

  • Windows Server 2012 R2 (64 Bit)
  • Windows Server 2008 R2 (64 Bit)
  • Windows Server 2012
  • Microsoft Windows Server 2016

Download build:

  • Download the Windows Installer for Vembu OffsiteDR server.

Steps to Installation:

  • Run the downloaded installer with administrator privilege and installation process begins with the below wizard. Click Next to proceed with installing the setup.

  • 'Vembu OffsiteDR License agreement' is the next step in setup installation, read the agreement carefully and choose 'I accept the agreement' option.

Note: Opting to 'I do not accept the agreement' will block you from proceeding with setup installation.

  • Click Next

  • Next step in wizard will have default settings chosen, you can either:

    • Click Install to proceed installation with default chosen settings.

    • Or can check 'Let me customize the configurations' option and opt to Customize settings.

  • Choosing Customize option will let you customize PostGreSQL Server Configurations in next step: 'Installation location' and 'Database Storage Location'.
  • Once done choosing location, click Next.

  • Next step in wizard will allow you to customize installation location of Vembu OffsiteDR.
  • Once done choosing location, click Next.

  • Next step in wizard is 'Storage Repository Configuration', you can either choose:

    • A local drive as your storage repository

    • Or choose a network drive as your storage repository
    • Once done with Vembu OffsiteDR server installation, you can add shared folders as network drives by configuring them via Vembu OffsiteDR server web console.

  • Click Next.

  • Next step in wizard will allow you to configure:
    • User credentials for WebConsole (Default user name: admin and password: admin)
    • WebServer port (Default port chosen will be 6060 and it is recommended not to change it unless you are advanced user)
  • Once done, Click Next.

  • Next step of Wizard will allow you to review the chosen configuration, review the settings and proceed to click Install.

  • Final step of wizard after installation will ask you whether to:
    • Start Vembu OffsiteDR server and
    • Open Vembu OffsiteDR Web Console.
  • You can either leave the options selected and click Finish. Or chose to UnCheck them and start later.

Note: VembOffsiteDR is installed as a service and can be found on Services.msc, if user chose to start later.


Ubuntu

Installation ›› OffsiteDR Server ››

OffsiteDR server - Linux

Vembu OffsiteDR server is currently supported for below versions of Linux machines(Please make sure that you are using any one of the below version).

  • Ubuntu 16.04 LTS (64 Bit)
  • Ubuntu 14.04 LTS (64 Bit)
  • Ubuntu 12.04 LTS (64 Bit)

To install Vembu OffsiteDR server on Linux machines follow the steps given below:

Copy the download link from the following link: Click here and download the installer file using wget command and make sure you are a root user (use “sudo su” command to be as an root user). Or you can download the installer to any Windows machine and move the installer to Linux machine by using FTP/WinSCP.

  • Once you execute wget command you will have “VembuOffsiteDRSetup.sh” in the download location.

  • Run installer by using “sh” command. For ex: #sh VembuOffsiteDRSetup.sh

  • After initiating the installer, it will check for dependent packages and request for a confirmation from your side. You can enter “y” to proceed further.

Please find the packages to be downloaded by Vembu OffsiteDR application here,

    • PostGreSQL RDMS (9.6)
    • PostGreSQL Connector (9.5.02)
    • ODBC Driver (2.3.4)
    • VembuOffsiteDR Server (3.x.x)

  • Here you need to specify the location where you want to store PostGreSQL files. Vembu OffsiteDR will basically require 10% of the backup data storage for the internal meta data store. Hence please assess and configure a storage medium appropriate to the storage requirements. Besides please ensure your drives have higher I/O performance. Kindly specify the path and click Enter. We recommend you to use dedicated drive for this location instead of root volume. (Important STEP)

  • Then installer will proceed to install Unix ODBC and PostGreSQL driver.
  • Click "yes" to proceed installing dependecy packages of PostGreSQL.

  • Once done installing PostGreSQL, databases will be created and PostGreSQL will be restarted automatically.

  • In the Next step installer will install PostGreSql connector ODBC and will be successfully connected to PostGreSQL server.

  • User will then be asked to proceed with Vembu OffsiteDR backup server installation, Enter “y”.

  • Enter “yes” to start downloading Vembu OffsiteDR backup server application.

  • Once download is completed. The Vembu OffsiteDR Backup server build installation starts automatically and asks to choose type of installation. “Option 1” is to Install Vembu OffsiteDR by creating a new Vembu OffsiteDR user account with root privileges or “Option 2” to install Vembu OffsiteDR in the current user and proceed with the installation. By default we recommend to choose Option1.

  • If you have selected “Option 1” installer will create new Vembu OffsiteDR user. Enter Password so that Vembu OffsiteDR user will be created as shown below.

  • Once user is created, the installer shows the License, kindly go through the License Terms carefully. If you agree enter “y” to proceed. Then it will ask to create directory for the installation path. Enter “y” to proceed.

  • Installer asks your permission to create repository. Enter “y” to create repository now or Enter “n” to create it later, after installing the backup server. If you want to create now press “y” and click Enter.

  • Once you press enter, installer will show the list of volumes present in your machine. Kindly choose one volume by entering corresponding number. Click number and press Enter to continue (Example : Enter 1)

  • Once you click Enter, the repository created successfully and the installer asks for Vembu OffsiteDR Web Console Authentication as shown below. Kindly give username and password through which you can access your Server Web Console. By default we recommend username and password as “admin”. Now press Enter to continue. Once you click Enter, Vembu OffsiteDR Web console user will be created successfully.

  • Now installer asks you to change ports from default value. If you want to change click “y” else “n”. By default we recommend to click “n” and continue. Kindly go through the usage of individual ports mentioned below.
    • Backup Server Port is the port through which the installed Vembu VMBackup client will backup the data to the backup server. The default value is 32004.
    • UI Communication Port is the port through which Vembu OffsiteDR Apache/PHP modules communicate with Vembu OffsiteDR to serve UI requests from the Vembu OffsiteDR Web Console. The default value is 32005.
    • HTTPS Port is the port used to access the Vembu OffsiteDR Web console in a secured manner through HTTPS protocol. Default value is 6061.
    • Enable HTTPS: HTTPS Port is the secure web console port through which you can access the Vembu OffsiteDR web console in secure manner. You should enable “Enable HTTPS” option to edit this value. If you have enabled HTTPS option, then you can access the Vembu OffsiteDR web console through https://localhost:6061

  • Once the installation is complete you will be asked to start the Vembu server as Daemon process. If you have not started Vembu OffsiteDR as daemon process you can start Vembu OffsiteDR using “sh startVembuOffsiteDR.sh” command and “sh stopVembuOffsiteDR” to stop Vembu OffsiteDR from the Vembu OffsiteDR installation location. Or else if you want to start the Vembu OffsiteDR immediately, enter “y” to proceed as shown below.


VMware Virtual Appliance

Installation ›› OffsiteDR Server ››

VMware Virtual Appliance

A VMware virtual appliance is a template that creates virtual machines instantly on VMware virtual environment without manual VM creation or separate installation of operating system or Vembu OffsiteDR server.

Download VMware virtual appliance from following link: Click here to Download VMware virtual appliance .

The downloaded file will be in zip format. Unzipping the file will have following:

  • Virtual appliance template file (OVF)
  • User Guide on How to deploy VMware Virtual Appliance
  • Read Me file

Supported Versions: VMware VSphere 5.1, 5.5 and 6.0

Steps to Deploy Virtual appliance on VMware ESXi server:

  • Logon to an ESXi Server through VMware vSphere client.

  • Navigate to File → Deploy OVF Template.

  • Browse and choose the .ovf file from the unzipped location.

  • The ovf configuration details can be viewed in next page like below.

  • Name the Deploying Virtual Machine.

  • Configure storage location for the deploying machine.

  • Select the network for the virtual machine and click on next.

  • Verify all the configuration chosen for Virtual Appliance and click on finish.

  • Once virtual appliance is deployed, you will be notified with a success message.

  • By default, once machine is booted it logs in automatically. If locked use below credentials:

Default User details:

Username:​ vembu

Password:​ password

Root password:​ password (sudo -s)

  • Open terminal and verify whether the MySQL, Mongo and Vembu OffsiteDR services are started.

  • Then open any web browser (FireFox or Chrome) and enter https://localhost:6061 to open Vembu OffsiteDR web console and login with username password as admin / admin.

  • Select your required time zone setting for the machine and click yes to proceed.

  • Give an unique Vembu OffsiteDR ID, by default it takes the hostname and machine name as ID.

Note: The following characters are permitted as part of the Vembu OffsiteDR Server ID:

[ A-Z][a-z][0-9][ - _ .] Your ID must not start or end with special characters and it must be between 1-50 characters in length.

  • Once Vembu OffsiteDR server ID configuration is updated successfully, you will be prompted to configure the repository details to store the backup data, Choose the volume and Click Update. Deployment of Vembu OffsiteDR server on your VMware ESXi server is now successfully completed.


Hyper-V Virtual Appliance

Installation ›› OffsiteDR Server ››

Hyper-V Virtual Appliance

A Hyper-V virtual appliance is a template that creates virtual machines instantly on Hyper-V virtual environment without manual VM creation or separate installation of operating system or Vembu OffsiteDR server.

Download Hyper-V virtual appliance from following link: Click here to Download Hyper-V virtual appliance .

The downloaded file will be in zip format. Unzipping the file will have following:

  • Virtual appliance template file (VHD) for Hyper-V
  • User Guide on How to deploy Hyper-V Virtual Appliance
  • ReadMe file

Steps to Deploy Virtual appliance on Hypervisor:

  • Open the Hyper-V Manager console.

  • Right click on the corresponding server under Hyper-V Manager.

  • Check whether VirtualApplianceOffsite folder contains the 3 folders shown in the screen shot below.

  • Right click over Hyper-V host → select Import Virtual machine.
  • Select the folder containing VHD and XML files.

  • Select the VM ‘VirtualApplianceOffsite’ to import and click next.

  • Choose import type as appropriate.

  • Select location of configuration files for the VM and proceed with Next.

  • Select storage location of the VHD files and click Next.

  • Verify the configurations provided via summary and click finish to create VM.

  • Once deployment is completed successfully, start the created virtual machine.

  • By default, once machine is booted it logs in automatically. If locked use below credentials:

Default User details:

Username:​ vembu

Password:​ password

Root password:​ password (sudo -s)

  • Open terminal and verify whether the MySQL, Mongo and Vembu OffsiteDR services are started.

  • Then open any web browser(FireFox or Chrome) and enter https://localhost:6061 to open Vembu OffsiteDR web console and login with username password as admin / admin.

  • Select your required time zone setting for the machine and click yes to proceed.

  • Give an unique Vembu OffsiteDR ID, by default it takes the hostname and machine name as ID.

Note: The following characters are permitted as part of the Vembu OffsiteDR Server ID:

[ A-Z][a-z][0-9][ - _ .] Your ID must not start or end with special characters and it must be between 1-50 characters in length.

  • Once Vembu OffsiteDR server ID configuration is updated successfully, you will be prompted to configure the repository details to store the backup data, Choose the volume and Click Update. Deployment of Vembu OffsiteDR server on your Hyper-V server is now successfully completed.

Limitations:

  • KVM installation has some permission issues.
  • Instant Boot is not supported.
  • Virtual Appliance does not have network adapter in default, user needs to manually attach the network adapter/switch.


Backup Proxy

Installation ››

Backup Proxy

  • Go to Downloads and choose the tab ‘Vembu ImageBackup’.
  • Download the Windows Client installer.

  • Run the downloaded installer and click next on the Welcome window.

  • Read and agree to Vembu Software license agreement and click Next.

  • The installation wizard will ask to enter Vembu ImageBackup ID. By default it will be your system name but it is recommended that you give your email ID, since it is globally unique. Click next.

  • Choose the installation option you want to proceed with.
  • Opting for Typical will automatically choose an optimized configuration for your install. Proceed with Custom if you want to change the default values. Click on next when done.

Note: It is recommended to choose custom installation.

  • Proceeding with custom installation, will lead to choose installation type. This will allow you to install Vembu ImageBackup:
    • As a Windows application
    • As a Windows service

By default, install as a Windows service will be selected.

  • Proceeding Next will let user configure log on account for Windows service. You can either:
  • Log-on in Local system account or
  • Log-on as a specific user (usually a user with administrator privileges).

  • Proceed to choose installation location. Which is by default, set as '<OS installed drive>\Program files'.

  • Proceed to provide the login credentials for Webconsole access which by default set as user name: 'admin' and password: 'admin'. User can also modify webserver port, but it is recommended to leave it with the default choice unless the port is assigned for some other process already.

  • Proceed to choose Program folder and then choose shortcut icons if required. Once done choosing all, verify the details provided in final window shown and proceed with installation.


Vembu Universal Explorer

Installation ››

Vembu Universal Explorer

Download build:

  • Download the installer file for Vembu Universal explorer.

Steps to Installation:

  • Run the downloaded installer with administrator privilege and installation process begins with the wizard below. Click next.

  • The next window will check for the pre-requisites installation in your machine and lists them along with download link for applications that are uninstalled.
  • You can either download them right away, or check the 'I will install prerequisites later' checkbox for installing them later.

  • Read and agree to Vembu Software license agreement and click Next.

  • Following wizard will ask for folder name under which setup will add program icons to the folder. In the next page, choose whether you need shortcut and quick launch icons for the program and proceed.
  • Next wizard will give a summary of provided details, review it and proceed with installing Vembu Universal Explorer.


Uninstalling Vembu BDR/Vembu OffsiteDR

Installation ››

Uninstalling Vembu BDR/Vembu OffsiteDR - Windows

For clean uninstallation of Vembu BDR server in Windows machines, follow the below steps:

  • Run the downloaded installer file for Vembu BDR and click Next in the below wizard to proceed with clean uninstallation process.

Note: uninstallation process will happen only if Vembu BDR is already installed. If not the installer file will proceed with installing Vembu BDR and its prerequisites.

  • 'Vembu BDR License agreement' is the next step, read the agreement carefully and choose 'I accept the agreement' option.

Note: Opting to 'I do not accept the agreement' will block you from proceeding with uninstallation.

  • Click Next

  • The next step in wizard will ask you to choose between 'Upgrade Now' and 'Uninstall Vembu BDR, PostGreSQL'.
  • To proceed with uninstallation choose the latter option: 'Uninstall Vembu BDR, PostGreSQL' and click Next.

  • A pop-up with a alert message will show up, click 'Yes' to proceed.

  • Uninstaling Vembu BDR and its requisite softwares(PostGreSQL) will begin.

  • Once Vembu BDR and its prerequisites are removed, you will be requested to restart the machine to complete the uninstallation process. Choose 'Yes' to restart immediately or 'No' to manually restart later.

Uninstalling Vembu BDR/Vembu OffsiteDR - Linux

For clean uninstallation of Vembu BDR server in Linux machines, follow the below steps:

  • Login to Linux machine with root privilege.
  • Change the directory path to Vembu BDR installation location.
  • Run following command to proceed uninstallation: sh uninstall.sh

  • Running the above command will provide two options to choose between:
    • Uninstall BDR server or
    • Perform clean uninstallation(Vembu BDR and PostGreSQL)

  • Proceeding with option 1 will delete and uninstall existing VembuBDR instances. If you wish to continue, click yes.

  • Proceeding with option 2 will uninstall and delete all existing VembuBDR, PostGreSQL services and its data. If you wish to continue, click yes.

  • VembuBDR will be installed successfully.


Login to Web GUI

Login to Web GUI - Vembu BDR

  • User can login to Vembu BDR web UI via following options:
    • By typing the following URL: https://localhost:6061 (or)https://<Ip_Address_of_Machine>:6061 in browser .
    • Via shortcut created on desktop.
    • Via Vembu BDR server web console option in tray icon.
  • Users who login after a fresh installation will be required to choose the time zone in which they want their backup/replication reports to be generated.

  • Once done choosing time zone, you will be required to provide Vembu BDR ID which should be globally unique.

Note: We recommend users to give machineName.domainName as Vembu BDR ID since it is globally unique.

  • Once done assigning ID for Vembu BDR, you will be directed to job listing page.

Troubleshooting:

  • If there seems to be any issue existing in accessing web GUI, check if the server/client service is running in Services.
  • Also check whether VembuBDR WebServer service is running.


Storage Repository Setup

Storage Repository Setup

Storage management page lets user manage and configure drives for storing backup data. Vembu BDR have a new file system that halts backup for nothing and once a storage drive gets filled, user can extend storage by edit option where he can add new drives.

Note: Vembu BDR repository management has a hybrid volume manager that supports scalable and extendable backup storage of different storage media such as Local drives, NAS(NFS and CiFS) and SAN(iSCSI and FC).

  • Go to ‘Management → Storage Management’

  • Users can also add network drives using ‘Manage network drives’ option in settings.

    • Click here to go to Add Network Drives page.

  • Click here to Calculate your Storage Space Requirements .
  • Click here for steps to Reset Vembu BDR to Fresh Installation state .


Adding Network Drives

Storage Repository Setup ››

Add/Manage Network Drives

This option lets users add, delete network drives which will then be listed in list of storage volumes with a separate drive letter and can be configured for storing backups.

Note: Mapped network drives are not supported when Vembu BDR server runs in local logon account. Change logon user with administrator privileged user in service management console and then proceed configuring Network drive.

To add a network drive, one must provide following attribute details:

  • Drive Name- Provide a drive letter/name for network drive to be added.

Note: Drive name must be single alpha character: A-Z or a-z

  • Drive Path- Network path of drive to be added.

Ex: \\<MACHINE_NAME OR IP_ADDRESS>\<SHARE_NAME>

  • Username & Password- If network drive requires login authentication provide the username and password to authenticate drive addition.
  • A user can add ‘n’ number of network drives and can manage it via ‘Manage network drives’ page.
  • Once done providing details, click save to add network drive.

  • The added drives will be listed as shown in pic above, which can also be deleted using 'delete' option if no longer required.


Storage Calculator

Storage Repository Setup ››

Storage Calculator

Users with large data centers and high data traffic can now calculate their storage space requirements with Vembu Storage calculator. The calculation will be made based on the type of job a user opts for along with recovery points and the average data traffic ratio. We implement a custom compression method that reduces storage space to a vast ratio difference compared to source data size.

Click below to calculate your storage space requirements:

Vembu Storage Calculator


Delete All Data

Storage Repository Setup ››

Delete All Data

This option lets user to completely wipeout their server data and reset Vembu BDR to fresh installation state.

  • Go to ‘Management → Storage Management → Delete All’

  • The 'Delete All Data' window will open as shown below.

  • In order to proceed with the deletion process the user must type the phrase “ I wish to delete storage repositories folder manually” as mentioned in the window. Please note that the command is case-sensitive and the phrase should be typed as given.
  • Select the check box to acknowledge the deletion and Click Submit.

  • On proceeding with the Submit will wipe all data and reset Vembu BDR to fresh installation state.

Note: Proceeding with the delete option will not auto-delete the backed up data, but will rename the sgstorage folder with the timestamp of deletion period in configured storage location. Once the delete process is notified with a success note, you have to manually delete the folder.


Getting Started with Disk Image Backup

Getting Started with Disk Image Backup

  • Setting up Backup Agent/Proxy
  • Login to Client Agent/Proxy GUI
  • Installing Disk Image Driver
  • Setup Backup Job
  • Manage Backup Job


Setting up Backup Agent/Proxy

Getting Started with Disk Image Backup ››

Setting up Backup Agent/Proxy

Follow the steps given below to download Vembu ImageBackup:

  • Go to Downloads and choose the tab ‘Vembu ImageBackup’.
  • Download the Windows Client installer.

  • To install Vembu ImageBackup: Click Here


Login to Backup Agent/Proxy GUI

Getting Started with Disk Image Backup ››

Login to Backup Agent/Proxy GUI

  • User can login to Vembu ImageBackup web UI via following options:
    • By typing default URL: http://localhost:4545 (or)http://<Ip_Address_of_Machine>:4545 in browser
    • Via shortcut created on desktop.
    • Via Vembu ImageBackup client web console option in tray icon.
  • Users who login after a fresh installation will be required to choose the time zone in which they want their backup/replication reports to be generated.

  • Once done choosing timezone, users will be requested to provide backup server details, to which backup tasks from client machine will be carried out.

  • Once done, you will be redirected to job listing page. Since it is a fresh installation with nil backup/replication jobs configured, you will be redirected to backup configuration page which will look like as shown below:

  • To configure Disk Image backup- Follow the instructions given in below link:

Disk Image Backup Configuration


Installing Disk Image Driver

Getting Started with Disk Image Backup ››

Installing Disk Image Driver

  • Login to Vembu ImageBackup web UI. Default URL will be http://localhost:4545
  • A fresh installation of Vembu ImageBackup will result in a page as shown below:

  • User will be requested to install disk image driver for Vembu ImageBackup, in order to list disks and drives for configuring backup job.
  • For completion of disk image driver installation, the machine will be rebooted.
  • Once the machine is restarted, login to Vembu ImageBackup web UI and proceed to configure backup job.


Setup Backup Job

Getting Started with Disk Image Backup ››

Setup Backup Job

  • Go to Backup → Disk Image Backup

Create Disk Image Backup:

Choose Disk(s)/Drive(s):

  • Choose list of disks/drives you wish to get backed up and proceed.

Configure Scheduling:

  • Users can configure their backup schedules flexibly based on their requirement. They can choose from Hourly/Daily/Weekly options for backup schedules.

Configure Retention Policy:

  • Users will be given 2 options for choosing retention policy:
    • Basic retention and
    • Advanced retention (GFS)

Basic:

Vembu ImageBackup provides forever incremental backups, where user can have ‘n’ number of incrementals. They also do have options to limit incremental count, which when retention count reaches incremental count, older incrementals will be purged while latest incremental will be retained as per configuration.

Advanced (GFS Retention):

The Multilevel GFS retention reduces the time taken to restore backed up machines and most importantly reduce the size of image files in storage location. It also help avoid long chains of incrementals, ensuring safety of backup data and allow you to meet the requirements of your retention policy.

GFS retention merge incrementals on a daily, weekly and monthly basis:

  • Daily - Daily merge will merge hourly incrementals on the third day's first successful incremental backup.
  • Weekly - Weekly merge will commence based on user scheduled day's first successful incremental backup. It will merge all daily merged incrementals into a single weekly merged file.
  • Monthly - Monthly merge is much similar as weekly merge where user need to schedule particular day in a month(For example: Third Wednesday) and the merge will get initiated at first successful incremental of the day. It merges all weekly merged files as a single monthly file.

Application-Aware Disk Image Backups:

Disk image backups in Vembu ImageBackup using Vembu Disk Image driver, utilize Microsoft VSS writers to take application-consistent backups(MS SQL, MS Exchange) and truncate exchange log files to free up the space.

Enabling application aware process, gives users two choices to choose:

  • Require successful application processing: Choosing this option lets Vembu BDR track application consistency and triggers backup process, only when all the VSS writers in the VM are in stable state.
  • Ignore application processing failures: This option, lets Vembu BDR trigger backup jobs whenever the job is scheduled, despite the success/failure of application processed.

Truncate logs on successful backups only:

Enabling this option lets Vembu BDR truncate the exchange server logs before initiating backup process. It purges and commits log files along with the .edb files and reduce storage space consumed.

Truncate logs immediately:

Enabling this option lets Vembu BDR truncate the exchange server logs immediately after a snapshot is taken and before initiating backup process. It purges and commits log files along with the .edb files and reduce storage space consumed.

Additional Full Backups:

In an enterprise environment, configuring a backup job with one full backup and forever incremental is not a recommended practice. Users from such environment will tend to configure additional full backups periodically and that can be automated with our additional backup option.

Additional Full Backups can be configured in following order of scheduling:

  • For Continuous, Run Daily and Run every few hours schedules- Configuring daily/weekly/monthly additional full backup is possible.
  • For Run Weekly schedule- 'Monthly full backup' is the only possible additional full backup.
  • For Run Once schedule- You cannot configure additional full backup.

Note: Users can also limit the number of full backups to be retained with 'Store a maximum of' option. With this option, users can share the unwanted storage data occupied based for a time period. For example, a user needing no more than 6 months of data retainment can configure 6 monthly full backups where the 1st additional full backup will be deleted on the 7th month when a new full backup completes successfully.

Review Configurations:

  • User will be required to provide a name for backup scheduled.
  • And can verify the configurations one final time, before hitting ‘run the backup’.

Progress Details:

  • Thus, backup progress is witnessed and can be verified once it completes successfully.


Manage Backup Job

Getting Started with Disk Image Backup ››

Manage Backup Job

Client Side- Vembu ImageBackup:

  • Login to Vembu ImageBackup and go to ' Backup → List Jobs'.
  • The list of backup jobs configured from that particular client machine will be listed along with options to edit, suspend/resume, run/abort, delete the backup job.
  • Users can also view the plugin type and historical report of a particular backup job.

Suspend/Resume:

  • This option lets a user to suspend and resume a configured backup job, if required.
  • A suspended backup job will not run schedules as per its configuration, until/unless it is resumed.

Run Now:

  • This option is used to immediate schedule a backup job, once clicked.
  • If run now is triggered in midst of scheduled interval, then the next schedule interval will be calculated from the time of recent backup job.

Note: If a backup job is triggered in midst of scheduled interval with run now, then the next backup schedule will be triggered

Abort:

  • This option is used to abort a backup job that is currently in progress, if required.

View:

  • This option allow user to view thesaved configuration of any specific backup job.

Edit:

  • This option allow user to edit the configuration of an already scheduled backup job.
  • User can reconfigure the schedule frequency, retention policies, additional backups and application aware options of backup job.
  • Once done, review the edited configuration and save it.

Delete:

  • This option is used to delete the backup job, if no longer required.
  • Proceeding with this option, will ask for deletion confirmation and once confirmed the backup job will be deleted in client.
  • If server is up and listening, the respective backup data of particular job will also be deleted in server end.


Disaster Recovery

Disaster Recovery

  • Login to Vembu BDR backup server web console via any one of following options:
    • By typing default URL: http://localhost:6060 (or)http://<Ip_Address_of_Machine>:6060 in browser
    • Via shortcut created on desktop.
    • Via Vembu VMBackup client web console option in tray icon.

  • Go to Recovery tab.
  • Backups configured from various client machine to the server, will be listed for recovery, along with below listed options:
    • Restore
    • Virtual mount
    • Proceed to Persistent Instant Boot version delete
    • Delete
    • Replication actions
    • Status
    • Reports

Virtual mount:

  • This option lets you instant mount backup data virtually where users can access backup in different file formats such as: IMG, VHD, VHDX, VMDK.

  • Users can either take a copy of this mounted data or boot respective files if needed on KVM(IMG file in Linux), VMware vSphere(VMDK) or Hyper-V(VHD, VHDX).
  • Once done with requirement, unmount backup data. This will resume backup job, so that incrementals will run as per schedule.

Proceed to Persistent Instant Boot version delete:

  • During each instant boot session, a change in backup data will take place which then is saved as persistent Instant boot data.
  • Persistent data can be restored using restore options, if needed.
  • Persistent data will be listed with a (+p) sign alongside timestamps of backup versions.
  • Such persistent data can also be deleted if not required, using the 'Proceed to Persistent Instant Boot version delete' option.
  • The option let user choose the timestamp of persistent data to be deleted.
  • User will also be required to confirm deletion by selecting the checkbox 'Are you sure you want to delete the selected version related persistent boot data from the repository location permanently?' to proceed with deletion process.

Restore:

  • Proceeding with restore option will list below restore options to choose from:
    • Instant VM Recovery
    • Disk/Partition Recovery
    • File Level Recovery
    • Download


Quick VM Recovery

Disaster Recovery ››

Quick VM Recovery

Instant VM recovery option allow user to quick access backup images as ready state VMs. (i.e) Minimal downtime and business continuity secured by making VMs instantly available. Instant VM recovery gives 2 choices of instant boot software to users:

  • Hyper-V (Default chosen software for Windows and available only on Windows servers)
  • KVM (Default chosen software for Linux and available only on Linux servers)


Hyper-V

Disaster Recovery ›› Quick VM Recovery ››

Hyper-V

Login to Vembu BDR server installed in a Windows environment and go with 'Instant VM Recovery' among recovery options.

  • Proceeding with Instant VM recovery option will let you select version for Instant boot.

  • Once done choosing required timestamp, proceed to select the Disks of backed up machine to boot.
  • From the list of disks backed up, select the required disks along with OS drive to instant boot and proceed to allocate RAM for Instant boot.

  • The software used to instant boot is Hyper-V (For Windows servers) and the default RAM size chosen is 2 GB which can be modified based on user requirement.

  • Once done allocating RAM size, proceed to review configuration.

  • Once done reviewing, click Next to proceed with Instant Booting the VM.

  • VM will get automatically created in Hyper-V VMs list.

Note: Once done with requirement, shutdown and turn off VM before unmounting backup data. This will resume backup job, so that incrementals will run as per schedule.


KVM

Disaster Recovery ›› Quick VM Recovery ››

KVM

Login to Vembu BDR server installed in a Linux environment and go with 'Instant VM Recovery' among recovery options.

  • Proceeding with Instant VM recovery option will let you select version for Instant boot.

  • Once done choosing required timestamp, proceed to select the Disks of backed up machine to boot.
  • From the list of disks backed up, select the required disks along with OS drive to instant boot and proceed to allocate RAM for Instant boot.

  • The software used to instant boot is KVM (For Linux servers) and the default RAM size chosen is 2 GB which can be modified based on user requirement.

  • Once done allocating RAM size, proceed to review configuration.

  • Once done reviewing, click Next to proceed with Instant Booting the VM.

  • VM will get automatically created in KVM VMs list.

Note: Once done with requirement, shutdown and turn off VM before unmounting backup data. This will resume backup job, so that incrementals will run as per schedule.


Instant File Recovery

Disaster Recovery ››

Instant File Recovery

  • This option lets you instantly attach backup data to disk management as a VHD file and proceed with file level restore.
  • The VHD file is created by virtual mounting backup data.
  • Users can access backup data via disks attached on disk management.
  • Once done with requirement, unmount backup data. This will resume backup job, so that incrementals will run as per schedule.

  • Select the timestamp version for file level recovery and proceed.

  • Select the backup data to be mounted in disk management for file level restore.

  • Once done choosing, proceed to review your selections.

  • Once done reviewing, click Next to proceed with the restore.


Disk/Partition Recovery

Disaster Recovery ››

Disk/Partition Recovery

  • This option lets you restore backedup machines at disk/partition level in servers.

  • Select the timestamp version for file level recovery and proceed.

  • Select the backup data to be restored based on requirement: at disk level or at partition level.

  • If backup data is selected at disk level, then restoring options will let you choose from list of disks available in server machine.

  • If backup data is selected at partition level, then restoring options will let you choose from list of partitions available in server machine.

  • Once done choosing, proceed to review your selections.

  • Once done reviewing, click Next to proceed with the restore.


Download VM Files (VMDK, VHD, VHDX and RAW)

Disaster Recovery ››

Download VM Files

  • Download option allows users to download backup data as an offsite copy of their preferred file format.
  • Proceeding with restore, lets users go with the regular routine of selecting time-stamp version they want to restore and click proceed.

  • Now select disk(s) to restore and proceed to select restore location.

  • Restoring location can either be a local drive on backup server or if users have managed to add a network shared drive, the restore can be directed to the network shared location.
  • Users can download backup data in multiple file formats such as: VHD, VMDK, VHDX, VMDK-Flat and RAW.

  • Once done choosing, proceed to review the detail.

  • Once done reviewing, click Next to proceed with the restore.

  • Taking offsite copies in various format allow users to boot backup data across various virtual and physical environments such as Oracle Box, KVM, Hyper-V, VMware vSphere, VMware player etc.,
  • Also reconstruction of physical servers is also possible with this offline backup copies.


Bare-metal Recovery (V2P)

Disaster Recovery ››

Bare-metal Recovery

Follow below steps to perform Physical Recovery for Image backups using Recovery CD:

  • To do bare-metal recovery using Vembu Recovery CD first we need to download and install WAIK. Click on below link, to download WAIK:

http://www.microsoft.com/enus/download/confirmation.aspx?id=5753

  • Once WAIK is installed, download Vembu Recovery CD: Click Here to Download
  • You will have Vembu Recovery CD in both 32-bit and 64-bit zip formats, download accordingly based on requirement. Now unzip the downloaded file and run RecoverCDBuilder with administrator privileges. You will get a window opened as shown below.

  • Read the service provider license agreement carefully and click agree. You will be proceeded to VembuBDR Recovery CD builder window as shown below.

Note: When you have RAID and additional drivers to be setup in the machine to be recovered, such drivers can be bundled with Vembu Recovery CD using 'Additional Driver' option.

  • In this window, WAIK location will be auto-filled, target location is the location where you want to store ISO. Now click Build to start creating ISO file. You can also monitor the progress of ISO creation.

  • Once done, the ISO file will be available in the Target location you have entered.

  • Insert a blank CD in CD/DVD drive and burn the created ISO file in CD by right-clicking over ISO file and choosing the option 'Burn Disk Image'. Windows Disk Image Burner will open, choose the CD/DVD drive and click burn to start burning process.

  • You can also monitor the progress of burning process.

  • Once the burn process completes, CD will be auto ejected. Reinsert CD and reboot machine to BIOS settings. Change the boot priority and set CD/DVD as primary boot device and click Save and Exit. VembuBDR recovery console will be opened as shown below. Click Next to continue.

  • Read the Software License Agreement carefully, click Accept and proceed with Next.

  • You will have option to select a task from the below list:
    • Recover entire disk or partition
    • Set BCD boot configuration
    • VMware driver installation

Since we have to do physical recovery, we'll proceed with 'Recover entire disk or partition' option and click Next.

  • You will be directed to recovery page, where you will be required to provide details for following options:
    • Browse and select the file which you need to recover.
    • Browse and select the backup configuration file.
    • Select the disk/drive you wish to restore from the following list.

Once done choosing respective requirements, click Next to proceed.

  • In next window, you will be required to select target disk/drive to which recovery will be performed. Once done selecting the target, click Next.

Note: the selected disk/drive will be formatted and only recovered data will be available. So make sure you don’t have any important data on target disk/drive.

  • Proceeding will initiate the recovery process and once it's done. You can find your recovered data in target disk/drive selected.


Vembu Virtual Drive (NFS Share)

Disaster Recovery ››

Vembu Virtual Drive

Vembu Virtual Drive is an exclusive feature of VembuBDR server, that allows user to instant access backup data. With the help of VembuHIVE file system, Vembu Virtual Drive virtual mount backup data and allow instant access for users.

Vembu Virtual Drive will make following file format types available for any image based backups mounted in it:

  • VHD
  • VMDK
  • VHDX
  • VMDK-Flat
  • RAW image files

These files can be used based on user requirements. For example, a VHD file can be mounted in Hyper-V or a VMDK file can be mounted in a ESXi server or a RAW image file can be mounted in KVM to create a virtual machine. VHD file can also be mounted in disk management to access file level backup data.

Manage Vembu Virtual Drive (NFS Share)

  • Go to Management → Server Management → Manage Virtual Drive

This page lists all image backups stored in backup server and user can virtual mount any backup data he wish to instant access.

  • To virtual mount a backup data, user have to click 'Mount' option alongside specific backup job to be accessed and click Yes in confirmation dialog.

  • User can now have access to backup data by viewing VembuVirtualDrive displayed in My Computer.
  • Once done with requirement, user can unmount data by clicking on Unmount option and confirming with a Yes in confirmation dialog.

Enable NFS Service on Vembu Virtual Drive

  • Vembu Virtual Drive can be shared within a network area by enabling NFS service on Vembu Virtual Drive.
  • NFS service for Vembu Virtual Drive is available on both Linux and Windows servers.

Note: For enabling NFS feature in Linux servers, it is necessary to have NFS kernel server installed in Backup Server machine. You can install NFS Service by using "apt-get install nfs-kernel-server" command. You need to run VembuBDR with root/administrator privileges in order to save NFS settings.

Enable NFS Service on Linux Screenshot:

Enable NFS Service on Windows Screenshot:

  • NFS share service allows user to add VembuVirtualDrive as a NFS datastore in ESXi servers.

Note: Before enabling NFS service on Vembu Virtual Drive, please make sure Microsoft or any other third party NFS services is disabled to ensure uninterrupted service.


Offsite Copy Management

Offsite Copy Management

Users can have an offsite copy of backup server data which can be used as a safe precaution in securing user data. These offsite copies will help in handy, in case of backup server disaster.

  • Go to ‘Management → Offsite Copy Management’
  • By default, Offsite copy settings is set disabled.

Note: Before enabling Offsite copy, user need to register Vembu BDR server to their Vembu Portal account.

  • Once registered, you will get the below window with Offsite copy status disabled:

  • Offsite Copy management offers two option to choose from:
    • Vembu Cloud
    • My own data center


OffsiteDR

Offsite Copy Management ››

OffsiteDR

  • Choosing this option, will let users to replicate backup data to their personal data center and user can enable schedule window here as well or replicate with no preference.
  • Enabling schedule window let users to choose the start and end time, during when replication will be performed.

  • Additionally, user can also define the days to be backed up- All days or only on weekdays.

  • Once done choosing Offsite copy type, save and proceed to configure retention.

Note: Offsite copy type once saved cannot be changed. So make sure, you choose the right option.

Retention:

  • Users can configure retention for offsite copies of backup data.
  • By default, retention will be enabled which can also be disabled if not in need.
  • User can also define count for daily restore point and additional full backups to be retained.

  • Once done choosing retention, hit save.


CloudDR

Offsite Copy Management ››

CloudDR

  • Setting up an Offsite copy can be done either with schedule window enabled or with no preference.

  • Enabling schedule window let users to choose the start and end time, during when replication will be performed.

  • Additionally, user can also define the days to be backed up- All days or only on weekdays.

Retention:

  • Users can configure retention for offsite copies of backup data.
  • By default, retention will be enabled which can also be disabled if not in need.
  • User can also define count for daily restore point and additional full backups to be retained.

  • Once done choosing retention, hit save.


Bandwidth Throttling

Offsite Copy Management ››

Bandwidth Throttling

Bandwidth throttling option enables user to limit network bandwidth used by backup jobs. This helps in a balanced network usage in a work environment.

  • Go to ‘Settings → Bandwidth Throttling’

Options to Bandwidth Throttle:

  • When a user enables bandwidth throttling on server end, he will have two options to choose from:
    • Throttle bandwidth always
    • Throttle bandwidth ‘From’ - ‘To’

Throttle bandwidth always- This option will keep the applied bandwidth limit always active.

Throttle bandwidth ‘From’ - ‘To’- This option allow user to specify a time frame during when the applied throttling will be active.

  • Users will also be asked to specify the maximum throttle limit on client machines that ranges in: Kbps, Mbps, Gbps.
  • In addition, a checkbox to disable throttling during weekends is provided; Which can be enabled when required.

  • Once done with selecting required configuration, click save.


Group Management

Group Management

This feature is designed specifically for service providers who can group their customers under individual groups for easy management. They can also provide web UI access for customers to manage their backup jobs.

  • Group management option will be listed under 'Management' tab which by default will be set disabled.

Note: By default, group management feature will be disabled in Vembu BDR and service providers are requested to register Vembu BDR server to their Vembu Portal account to enable this feature.

Steps to Enable Group Management:

  • Service providers should register Vembu BDR server to Vembu Portal account.
  • Once done registering, login to portal.vembu.com and click Server Info tab.
  • You will see the list of servers managed under your portal account with the option to enable group management(SP feature) if disabled.

  • Click the wrench icon to enable SP feature.
  • Once enabled run license check from Vembu BDR server to fetch SP feature status.
  • Now logout and login to server web console. You will see 'Group Management' option listed under 'Management' tab.


Create New Group

Group Management ››

Create New Group

  • To create a new group click 'Group Management' option under Management Tab.
  • You will see a page as shown below, click on Add Group button to proceed with group creation.

Group Creation:

  • Enter a unique group name you can identify along with a associative Email ID and proceed with Next.

Create User Login:

  • Next page will let you create web access for the group created which can be shared with customers to be added under that particular group.
  • The option let you choose a display name along with login password and allow you to set the level of access privilege to be provided. User name will be auto generated.
  • Once done configuring, proceed with Next.

Group Mapping:

  • Group mapping option allow service providers to add clients, backups and VMs to the group created. They can either add client/backup level or VM level grouping.

  • In client/backup level grouping, the tree structure will list all clients added under the particular server listing clients as parent nodes and the backups under each client as sub nodes under each client. You can add any number of clients and backups under a particular group to be created.

  • In VM level grouping, the parent node will be the ESXi host or Hyper-V server added under the particular BDR server account. any number of VMs from different hosts can be clubbed under a single group.

  • Once done adding entities proceed with Next.

Note: Users can also proceed with empty group creation where entities can be added later using edit option.

Review:

  • Review the group configurations provided and click save if no more modifications required.

  • Once added the group will be listed as shown below, along with the list of already created groups.


Server Settings

Server Settings

  • Client Management
  • User Management
  • Time Zone Settings
  • Software Update Process


Client Management

Server Settings ››

Client Management

  • This page shows the list of clients that are registered with the backup server along with their machine details such as: OS, Build number of Vembu VMBackup client installed, Used size, Plugin used(Based on backups configured) and NAT IP.
  • Users can also deactivate/activate clients if required and can also delete the clients if no longer required.

  • Users can also download a offsite copy of client management report using 'Download Report' option.


User Management

Server Settings ››

User Management

This feature allow users to create and manage multiple user profiles for different roles to access web-console.

  • Go to ‘Management → User Management’

List of Users:

  • This page lists all users created with the following attributes detailed:

User name, Role, Accessed By, Access Privilege, Change Password and Delete User

User Creation:

  • Click ‘Create User’.

A pop-up box will be displayed with following options:

  • User name- Provide user name to be created.
  • Access privilege- By default, this is selected as Admin.
  • Password- Password for user login
  • Confirm Password- Confirm password provided
  • Once done providing details, click Create User.

Note: Users can also delete a created user, but will be required to provide the appropriate user password assigned.


Time Zone Settings

Server Settings ››

Time Zone Settings

This option lets user choose the time zone at which client backup reports are to be maintained.

Note: By default, when a user logins for the first time after a fresh client installation, the time zone settings will be

asked which can then be changed via this option if required.

  • Go to ‘Management → Settings → Time Zone Settings’

Choose time Zone:

  • Choose your appropriate time zone, in the ‘Select time zone’ drop down box and change it.


Software Update Process

Server Settings ››

Software Update Process

Software Update Configuration in Vembu ImageBackup:

This option let users configure auto update settings of client machine, which is enabled by default and downloads update from backup servers.

Note: By default, Vembu ImageBackup checks backup server every hour for update.

  • Go to ‘Settings → ‘Software Update Configuration’

Configuration:

  • Configuring Automatic software update in client machines will have following options to provide:
    • Select server to download updates from: Choose a backup server from the list of servers added.
    • Location to store downloaded update: Choose a folder location to which client updates will be downloaded. By default, the following location will be chosen:

<OS partition>/Program Files/Vembu/VembuImageBackup/downloadedUpdates/

  • Once done providing details, click save.

Note: Users can also disable auto update and can manually update clients if required.

Software Update in Vembu BDR:

Software updates in general are defined to Integrate newly added features and enhance existing features to an installed application. This process of upgrading applications can be done either manually or can be automated.

Server Update:

  • Upgradation of Vembu BDR backup server is a manual process as of now, where users will be notified periodically via Emails to registered Email ID about the updates available. Which can then be downloaded from Vembu downloads page .
  • Downloaded server update can be installed on top of existing installation.
  • Make sure there is no ongoing/active process (backup, restore or delete) before proceeding with installation process. If so wait for the process to complete.
  • Once upgrade completes successfully, Vembu BDR backup service is restarted and the backup schedules are resumed as per schedule.
  • Users can click on help icon and verify the build version to confirm successful updation of backup server.

Client Update:

  • Upgrading client machines can be done in two way:
    • Manual upgrade.
    • Auto upgrade.

Manual upgrade:

  • Manual upgrade process is similar to that of server update, where users can download client builds from downloads option in Vembu BDR backup server.
  • Once the builds are downloaded, it can be installed on top of existing installation.
  • Users can click on help icon and verify the build version to confirm successful updation of client machine.

Auto upgrade:

  • In order to proceed with auto upgrade, users are requested to download the latest client build along with its xml file for Windows/Debian/RedHat and proceed with the steps mentioned in below link:

Vembu BDR suite- Automatic Software update guide


Portal Registration

Portal Registration

User should create a Vembu portal account, in order to get backup server registered with Vembu portal, where a user can manage all his/her Vembu products and services.

Creating a Vembu Portal Account:

Vembu portal is an all-in-one hub spot for managing your registered Vembu products and services where you can get started. To register in Vembu portal, follow the steps given below:

  • Go to portal.vembu.com and click on Signup .
  • You will be required to provide the following details in order to create your account:
    • Company Name
    • First Name and Last Name
    • Email ID
    • Contact Number
    • Country and State

  • Once done providing the requested details click Sign up to register.
  • A verification Email will be sent to the registered Email ID. Kindly check your Inbox(Spam folder, if not found in Inbox) for verification email and click on 'Verify my email address'. If the button doesn't work copy-paste the link given below the 'Verify' button in your browser.

  • You will be directed to a page with the registered email ID and you will be requested to create a password for your account. Once done providing password, click Activate.

  • Vembu portal account is now created successfully and you will be redirected to Vembu Portal login page. Login to Vembu portal account with the registered email id and password.

Server Registration:

Once Vembu portal account is created:

  • Login to Vembu BDR web console.
  • Go to ‘Management → Server Management → Server Registration’

Steps to Register

  • Click Register.

  • Provide Vembu account credentials in the pop-up shown and register the trial.

  • Once registered, a user can check server registration by running a license check to success.


Licensing

Portal Registration ››

Licensing

  • Vembu charges per Windows physical servers
  • Windows Desktops and Laptops licenses are FREE !
  • The licenses need to be renewed every year

  • License cost includes unlimited product upgrade and 24/7 email & telephone support


Reports

Reports

  • Backup Job Report
  • Backup Status Report
  • Image Verification Report
  • Email Alert Configuration


Backup Job Report

Reports ››

Backup Job Report

Apart from the above listed reports, there is yet another report available for individual backups, which can be viewed on recovery page.

  • Go to Recovery.
  • This page lists all the backup jobs configured to server where you can see a report option alongside every backup job.
  • Click on Reports.

  • In this page, users can view historical reports of the speicific backup chosen where following reports will be listed:
    • Backup report
    • Restore report
    • Merge report
    • Deleted backup report
    • Offsite Copy report

  • Users can also filter the reports to view status of full backups alone(excluding incrementals).


Backup Status Report

Reports ››

Backup Status Report

  • Go to ‘Reports → Backup Status Report’
  • A page where user can view, filter and download overall backup status report will be displayed. Backup status includes: Failure, Suspended, Missed, Partial & Success.

Filter report:

  • Filter option let users add custom filters where they can apply filter of their choice for ease of view.
  • Backup filter includes following statuses to choose from: Missed, suspended, failed, successfully completed, partially completed and all.
  • Filters can also be applied based on duration where users can provide their custom data range, apart from ranging between last 1-30 days.

Schedule Email report:

  • Users can also send custom filtered reports by providing a sender Email address.
  • And can choose a custom filter saved or add a new filter based on requirement.
  • And choose schedules when to send:
    • Daily by specifying a time period.
    • Or choose weekly and specify a weekday and time period.


Image Verification Report

Reports ››

Image Verification Report

  • Go to 'Reports → Image Verification Report'
  • This page lists every image backups configured to Vembu BDR server along with the backup details such as: backup name, plugin, client name, host name, machine name, disk name and scheduled time(Most recent backup time).
  • It also confirms if the backup data is mountable and provides boot image of most recent backup(This ensures that the backup is in readily-bootable state).

  • An example of boot image is given below:


Email Alert Configuration

Reports ››

Email Alert Configuration

This option let users set SMTP server and configure email address to which backup reports can be mailed periodically. Options to configure sending various reports to different email addresses is also available.

  • Go to 'Management → Settings → Email Settings → Email Configuration'
  • By default, Email Configuration will be disabled. Enable it.

Configure SMTP server:

  • Provide SMTP server details and if required provide outgoing server port number.
  • Also do provide authentication credentials, if SMTP server requires one.
  • You also do have options to choose authentication type and SMTP secure protocol.

Once done providing SMTP server details, user can test by sending a test mail and verify it is working successfully.

Email reports:

Users can configure:

  • A single Email ID to receive all success/failure reports from server.
  • Or enable different Email IDs for each success/failure report generated (Server backup/restore/delete reports).

Click save to save email settings provided.

Email Settings - Email Filters:

  • Go to ‘ 'Management → Settings → Email settings → Email Filters’

Users have following filter conditions available, which can be enabled and disabled based on requirement.

Filter conditions:

  • When Backup/Restore/Delete/Replication completes successfully.
  • When Backup/Restore/Delete/Replication fails.
  • When there are no new or modified files for replication.
  • When a Backup is manually suspended.
  • When Backup/Restore is partially completed.
  • When a Backup schedule is missed.

Once done choosing filters, save it.

Note: By default, all filters are enabled.

Exclude Client/Backup from Reports:

Users also have an option to exclude specific set of Clients / Backup Schedules from receiving Email reports. This can be done by enabling following condition:

  • Exclude the following Clients / Backup Schedules (do not Email any reports for these)

Once enabled, the list of clients along with the list of backups will be listed. User can either select:

  • All clients to exclusion list.
  • Or choose specific backup from a client and add it to exclusion list.
  • A client/backup can be excluded by selecting ‘Disable Email reports for above selection’.

Note: Excluded backups can also be reverted.


Backup Proxy Management

Backup Proxy Management

  • Login to Backup Agent/Proxy GUI
  • Test Connectivity to Backup Server
  • Backup Agent/Proxy Settings
  • Reports


Login to Backup Agent/Proxy GUI

Disk Image Backup and Recovery User Guide

Backup Proxy Management ››

Login to Backup Agent/Proxy GUI

  • User can login to Vembu ImageBackup web UI via following options:
    • By typing default URL: http://localhost:4545 (or)http://<Ip_Address_of_Machine>:4545 in browser
    • Via shortcut created on desktop.
    • Via Vembu ImageBackup client web console option in tray icon.


Test Connectivity to Backup Server

Backup Proxy Management ››

Test Connectivity to Backup server

  • This feature allows client machine to verify connectivity with backup servers along with other requirements for a successful backup.
  • Go to ‘Settings → Test Connectivity to Backup Server’

Procedure:

  • You will have two options to choose servers:
    • You can either select a backup server in drop-down box from the list of servers pre-configured.
    • Or provide a hostname or IP address of backup server.
  • Once done selecting server detail, hit ‘Test connection’. The result will have following details checked:
    • DNS Lookup- Checks if client details are already present in backup server.
    • Connectivity- Checks connectivity status of client with backup server.
    • Compatibility- Checks the version compatibility of both machines(client and server).

Note: Backup server version should be equivalent or higher than that of client for successful backup.

    • Backup server- Checks the status of IP address/Hostname provided. (i.e) If it’s a backup server, DR server or another client machine.
    • Transfer Rate- Checks and displays the average transfer rate between server and client machine.

Example for Successful connection:

Example for Failed connection:


Backup Agent/Proxy Settings

Backup Proxy Management ››

Backup Agent/Proxy Settings

  • Backup Schedule Window
  • Bandwidth Throttling
  • User Management
  • Time Zone Settings


Backup Schedule Window

Backup Proxy Management ›› Backup Agent/Proxy Settings ››

Backup Schedule Window

‘Backup schedule window’ is a option that lets business users choose a time frame of their choice during when backup jobs are paused and will resume once the time frame ends. Users can also schedule if backup jobs can be scheduled to run on weekends or not.

  • Go to ‘Settings → Backup Schedule Window’

Schedule:

  • Provide the start and end time of window when backup jobs will not run and click save.
  • By default, No Preference will be selected which can be changed when required.


Bandwidth Throttling

Backup Proxy Management ›› Backup Agent/Proxy Settings ››

Bandwidth Throttling

Bandwidth throttling option enables user to limit network bandwidth used by backup jobs. This helps in a balanced network usage in a work environment.

  • Go to ‘Settings → Bandwidth Throttling’

Options to Bandwidth Throttle:

  • When a user enables bandwidth throttling on client end, he will have two options to choose from:
    • Throttle bandwidth always
    • Throttle bandwidth ‘From’ - ‘To’

Throttle bandwidth always- This option will keep the applied bandwidth limit always active.

Throttle bandwidth ‘From’ - ‘To’- This option allow user to specify a time frame during when the applied throttling will be active.

  • Users will also be asked to specify the maximum throttle limit on client machines that ranges in: Kbps, Mbps, Gbps.
  • In addition, a checkbox to disable throttling during weekends is provided; Which can be enabled when required.

  • Once done with selecting required configuration, click save.


User Management

Backup Proxy Management ›› Backup Agent/Proxy Settings ››

User Management

This feature allow users to create and manage multiple user profiles for different roles to access web-console.

  • Go to ‘Settings → User Management’

List of Users:

  • This page lists all users created with the following attributes detailed:

User name, Role, Accessed By, Access Privilege, Change Password and Delete User

User Creation:

  • Click ‘Create User’.

A pop-up box will be displayed with following options:

  • User name- Provide user name to be created.
  • Access privilege- By default, this is selected as Admin.
  • Password- Password for user login
  • Confirm Password- Confirm password provided
  • Once done providing details, click Create User.

Note: Users can also delete a created user, but will be required to provide the appropriate user password assigned.


Time Zone Settings

Backup Proxy Management ›› Backup Agent/Proxy Settings ››

Time Zone Settings

This option lets user choose the time zone at which client backup reports are to be maintained.

Note: By default, when a user logins for the first time after a fresh client installation, the time zone settings will be

asked which can then be changed via this option if required.

  • Go to ‘Settings → Time Zone Settings’

Choose time Zone:

  • Choose your appropriate time zone, in the ‘Select time zone’ drop down box and change it.


Reports

Backup Proxy Management ››

Reports

  • Dashboard
  • Backup Job Report
  • Deleted Report
  • Software Update Report


Dashboard

Backup Proxy Management ›› Reports ››

Dashboard

  • This page lists recent schedule status of backup jobs and current client activities.

  • You can also monitor backup/restore activities that are carried out in dashboard.


Backup Job Report

Backup Proxy Management ›› Reports ››

Backup Job Report

  • Go to ‘Reports → Backup reports’
  • The page lists every backup scheduled in client machine along with remarks for last backup schedule.

  • Selecting a specific backup job will list a detailed history of backup report of the specified backup job.


Deleted Report

Backup Proxy Management ›› Reports ››

Deleted Report

  • Go to ‘Reports → Deleted Backups’
  • A report listing backup jobs that are deleted, specifying the backup name, deleted name and delete status will be displayed.


Software Update Report

Backup Proxy Management ›› Reports ››

Software Update Report

  • Go to 'Reports → Updates Downloaded '
  • This page will list the update builds downloaded so far in client machine, specifying the build name, version, build number, build type, OS type and file size.